[Ironruby-core] r105 broke assembly loading

John Lam (IRONRUBY) jflam at microsoft.com
Tue May 13 18:40:41 EDT 2008


This is a feature and not a bug :)

You'll need to specify the fully qualified assembly name:

require "System.Net, Version=3.5.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL"

However, you can also just put a file called system.net.rb in your search path and have it do the scary require which gets you back to

require 'system.net'

Thanks,
-John


-----Original Message-----
From: ironruby-core-bounces at rubyforge.org [mailto:ironruby-core-bounces at rubyforge.org] On Behalf Of Ivan Porto Carrero
Sent: Tuesday, May 13, 2008 3:32 PM
To: ironruby-core at rubyforge.org
Subject: [Ironruby-core] r105 broke assembly loading

Hi

I just updated to r105 and now I can't require assemblies anymore.

 >>> require 'bin/System.Net.dll'
c:\tools\IronRuby\src\IronRuby.Libraries\Builtins\Kernel.cs:272:in
`Require': Invalid character '?' in expression (Synta
xError)
         from :0:in `Initialize##1'

Do I submit a bug for that?

Cheers
Ivan
_______________________________________________
Ironruby-core mailing list
Ironruby-core at rubyforge.org
http://rubyforge.org/mailman/listinfo/ironruby-core


More information about the Ironruby-core mailing list